Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.vmware
Class VMwareServer

    java.lang.Object
      org.hyperic.sigar.vmware.VMwareObject
          org.hyperic.sigar.vmware.VMwareServer

public class VMwareServer
extends org.hyperic.sigar.vmware.VMwareObject

Field Summary
`static boolean` | `LOADED`

Constructor Summary
`VMwareServer()`

Method Summary
`boolean` | `connect(ConnectParams params)`
`void` | `disconnect()`
`void` | `dispose()`
`java.lang.String` | `exec(java.lang.String xml)`
`protected void` | `finalize()`
`java.util.List` | `getRegisteredVmNames()`
`java.lang.String` | `getResource(java.lang.String key)`
`boolean` | `isConnected()`
`boolean` | `isRegistered(java.lang.String config)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOADED

    public static final boolean LOADED

Constructor Detail

### VMwareServer

    public VMwareServer()

Method Detail

### connect

    public boolean connect(ConnectParams params)
                    throws VMwareException

  Throws:
    `VMwareException`

### disconnect

    public void disconnect()

### isConnected

    public boolean isConnected()

### isRegistered

    public boolean isRegistered(java.lang.String config)
                         throws VMwareException

  Throws:
    `VMwareException`

### getRegisteredVmNames

    public java.util.List getRegisteredVmNames()
                                        throws VMwareException

  Throws:
    `VMwareException`

### getResource

    public java.lang.String getResource(java.lang.String key)
                                 throws VMwareException

  Throws:
    `VMwareException`

### exec

    public java.lang.String exec(java.lang.String xml)
                          throws VMwareException

  Throws:
    `VMwareException`

### dispose

    public void dispose()

### finalize

    protected void finalize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.